# BlendDataParticles(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``BlendDataParticles`(bpy_struct)

  Collection of particle settings

  `is_updated`

    Type: | boolean, default False, (readonly)

  `new`(name)

    Add a new particle settings instance to the main database

    Parameters: | name (string, (never None)) – New name for the data-block
    Returns: | New particle settings data-block
    Return type: | `ParticleSettings`

  `remove`(particle)

    Remove a particle settings instance from the current blendfile

    Parameters: | particle (`ParticleSettings`, (never None)) – Particle Settings to remove

  `tag`(value)

    tag

    Parameters: | value (boolean) – Value

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`BlendData.particles` |